> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert Time Tracking Schedule Template

> Creates or updates a working-schedule template (name, country, days, active).

Not available to API keys yet. It will need `time:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/upsert-time-tracking-schedule-template
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/upsert-time-tracking-schedule-template:
    post:
      operationId: upsertTimeTrackingScheduleTemplate
      summary: Upsert Time Tracking Schedule Template
      description: >-
        Creates or updates a working-schedule template (name, country, days,
        active).


        Not available to API keys yet. It will need `time:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpsertTimeTrackingScheduleTemplateRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/UpsertTimeTrackingScheduleTemplateResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UpsertTimeTrackingScheduleTemplateRequest:
      type: object
      properties:
        timeTrackingScheduleTemplateID:
          type: string
          format: uuid
        name:
          type: string
          minLength: 1
          maxLength: 120
        countryCode:
          type:
            - string
            - 'null'
          enum:
            - ABW
            - AFG
            - AGO
            - AIA
            - ALA
            - ALB
            - AND
            - ARE
            - ARG
            - ARM
            - ASM
            - ATA
            - ATF
            - ATG
            - AUS
            - AUT
            - AZE
            - BDI
            - BEL
            - BEN
            - BES
            - BFA
            - BGD
            - BGR
            - BHR
            - BHS
            - BIH
            - BLR
            - BLZ
            - BMU
            - BOL
            - BRA
            - BRB
            - BRN
            - BTN
            - BVT
            - BWA
            - CAF
            - CAN
            - CCK
            - CHE
            - CHL
            - CHN
            - CIV
            - CMR
            - COD
            - COG
            - COK
            - COL
            - COM
            - CPV
            - CRI
            - CUB
            - CUW
            - CXR
            - CYM
            - CYP
            - CZE
            - DEU
            - DJI
            - DMA
            - DNK
            - DOM
            - DZA
            - ECU
            - EGY
            - ERI
            - ESH
            - ESP
            - EST
            - ETH
            - FIN
            - FJI
            - FLK
            - FRA
            - FRO
            - FSM
            - GAB
            - GBR
            - GEO
            - GGY
            - GHA
            - GIB
            - GIN
            - GLP
            - GMB
            - GNB
            - GNQ
            - GRC
            - GRD
            - GRL
            - GTM
            - GUF
            - GUM
            - GUY
            - HKG
            - HMD
            - HND
            - HRV
            - HTI
            - HUN
            - IDN
            - IMN
            - IND
            - IOT
            - IRL
            - IRN
            - IRQ
            - ISL
            - ISR
            - ITA
            - JAM
            - JEY
            - JOR
            - JPN
            - KAZ
            - KEN
            - KGZ
            - KHM
            - KIR
            - KNA
            - KOR
            - KWT
            - LAO
            - LBN
            - LBR
            - LBY
            - LCA
            - LIE
            - LKA
            - LSO
            - LTU
            - LUX
            - LVA
            - MAC
            - MAF
            - MAR
            - MCO
            - MDA
            - MDG
            - MDV
            - MEX
            - MHL
            - MKD
            - MLI
            - MLT
            - MMR
            - MNE
            - MNG
            - MNP
            - MOZ
            - MRT
            - MSR
            - MTQ
            - MUS
            - MWI
            - MYS
            - MYT
            - NAM
            - NCL
            - NER
            - NFK
            - NGA
            - NIC
            - NIU
            - NLD
            - NOR
            - NPL
            - NRU
            - NZL
            - OMN
            - PAK
            - PAN
            - PCN
            - PER
            - PHL
            - PLW
            - PNG
            - POL
            - PRI
            - PRK
            - PRT
            - PRY
            - PSE
            - PYF
            - QAT
            - REU
            - ROU
            - RUS
            - RWA
            - SAU
            - SDN
            - SEN
            - SGP
            - SGS
            - SHN
            - SJM
            - SLB
            - SLE
            - SLV
            - SMR
            - SOM
            - SPM
            - SRB
            - SSD
            - STP
            - SUR
            - SVK
            - SVN
            - SWE
            - SWZ
            - SXM
            - SYC
            - SYR
            - TCA
            - TCD
            - TGO
            - THA
            - TJK
            - TKL
            - TKM
            - TLS
            - TON
            - TTO
            - TUN
            - TUR
            - TUV
            - TWN
            - TZA
            - UGA
            - UKR
            - UMI
            - URY
            - USA
            - UZB
            - VAT
            - VCT
            - VEN
            - VGB
            - VIR
            - VNM
            - VUT
            - WLF
            - WSM
            - YEM
            - ZAF
            - ZMB
            - ZWE
            - null
        days:
          type: array
          items:
            type: object
            properties:
              dayOfWeek:
                type: integer
                minimum: 1
                maximum: 7
              workStart:
                type: string
                pattern: ^([01]\d|2[0-3]):[0-5]\d$
              workEnd:
                type: string
                pattern: ^([01]\d|2[0-3]):[0-5]\d$
              breakStart:
                type:
                  - string
                  - 'null'
                pattern: ^([01]\d|2[0-3]):[0-5]\d$
              breakEnd:
                type:
                  - string
                  - 'null'
                pattern: ^([01]\d|2[0-3]):[0-5]\d$
            required:
              - dayOfWeek
              - workStart
              - workEnd
          minItems: 1
          maxItems: 7
          description: >-
            NOTE(ck): a .refine() rule is not mirrored here; TGA still enforces
            it

            NOTE(ck): a .refine() rule on a nested schema is not mirrored here;
            TGA still enforces it

            NOTE(ck): a .refine() rule on a nested schema is not mirrored here;
            TGA still enforces it

            NOTE(ck): a .refine() rule on a nested schema is not mirrored here;
            TGA still enforces it

            NOTE(ck): a .refine() rule on a nested schema is not mirrored here;
            TGA still enforces it
        isActive:
          type: boolean
      required:
        - name
        - days
    UpsertTimeTrackingScheduleTemplateResponse:
      type: object
      properties:
        timeTrackingScheduleTemplateID:
          type: string
      required:
        - timeTrackingScheduleTemplateID
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
